> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Locations



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/locations
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/locations:
    post:
      tags:
        - Locations
      summary: Create Locations
      operationId: LocationsController_create_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateLocationDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationResponseDto'
components:
  schemas:
    CreateLocationDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 200
        address:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 2000
            - type: 'null'
        apartment:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        city:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        state:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        zipCode:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 32
            - type: 'null'
        country:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 100
            - type: 'null'
        countryCode:
          anyOf:
            - type: string
              pattern: ^[A-Z]{2}$
            - type: 'null'
        subdivisionCode:
          anyOf:
            - type: string
              pattern: ^[A-Z]{2}-[A-Z0-9]{1,3}$
            - type: 'null'
        placeId:
          anyOf:
            - type: string
              pattern: ^[A-Za-z0-9_-]{1,300}$
            - type: 'null'
        region:
          anyOf:
            - type: string
              pattern: ^[a-z][a-z0-9_]{0,63}$
            - type: 'null'
      required:
        - name
      additionalProperties: false
    LocationResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        address:
          type:
            - string
            - 'null'
        apartment:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        state:
          type:
            - string
            - 'null'
        zipCode:
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        countryCode:
          type:
            - string
            - 'null'
        subdivisionCode:
          type:
            - string
            - 'null'
        placeId:
          type:
            - string
            - 'null'
        region:
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - address
        - apartment
        - city
        - state
        - zipCode
        - country
        - countryCode
        - subdivisionCode
        - placeId
        - region

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.